﻿using Hotline.Settings;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Caching.Interfaces
{
    public interface ISystemDicDataCacheManager
    {
        IReadOnlyList<SystemDicData> GetSysDicDataCache(string code);
        IReadOnlyList<SystemDicData> GetVisitSatisfaction();
        void RemoveSysDicDataCache(string code);
        IReadOnlyList<SystemDicData> AcceptType { get; }
        IReadOnlyList<SystemDicData> LeaderSMS { get; }

        /// <summary>
        /// 工作场所
        /// </summary>
        public IReadOnlyList<SystemDicData> Workplace { get; }

        /// <summary>
        /// 作业区域
        /// </summary>
        public IReadOnlyList<SystemDicData> WorkArea { get; }
    }
}
